apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization
resources:
  - namespace.yaml
  - ../../dev-cluster
namespace: abc-federation
configMapGenerator:
  - name: the-map
    behavior: merge
    literals:
      - CATALOG_API_ENDPOINT="https://federated-catalogue-api.abc-federation.dev.gaiax.ovh"
      - PARTICIPANT_NAME=abc-federation
      - PARENT_DOMAIN=dev.gaiax.ovh
patches:
  - patch: |-
      - op: replace
        path: "/spec/rules/0/host"
        value: "abc-federation.dev.gaiax.ovh"
      - op: replace
        path: "/spec/tls/0/hosts"
        value: ["abc-federation.dev.gaiax.ovh"]
    target:
      kind: Ingress
      name: participant-agent
